%define fakename  qwtplot3d
%define major 0
%define libname %mklibname %{fakename} %major
%define libnamedev %mklibname %{fakename}  -d

Name: libqwtplot3d
Version: 0.2.7
Release: %mkrel 8
Summary: 3D plotting widget extension to the Qt GUI
License: zlib
Group: System/Libraries
Url: http://qwtplot3d.sourceforge.net/
Source: http://puzzle.dl.sourceforge.net/sourceforge/qwtplot3d/qwtplot3d-%version.tar.bz2
Patch0: qwtplot3d-gcc44.patch
Patch1: qwtplot3d-glu.patch
Patch2: qwtplot3d-0.27-link.patch
BuildRequires: qt4-devel
BuildRequires: zlib-devel
BuildRequires: mesaglu-devel

%description
QwtPlot3D is a feature-rich Qt/OpenGL-based C++ programming library.
It provides essentially a bunch of 3D-widgets for programmers.

%package -n %libname
Summary: 3D plotting widget extension to the Qt GUI
Group: System/Libraries

%description -n %libname
QwtPlot3D is a feature-rich Qt/OpenGL-based C++ programming library.
It provides essentially a bunch of 3D-widgets for programmers.

%package -n %libnamedev
Summary: Development tools for programs which uses QwtPlot3D Widget set
Group: Development/Other
Requires: %libname = %version-%release
Provides: %{name}-devel = %version-%release
Obsoletes: %{libname}-devel

%description -n %libnamedev
QwtPlot3D is a feature-rich Qt/OpenGL-based C++ programming library.
It provides essentially a bunch of 3D-widgets for programmers.

%prep
%setup -q -n qwtplot3d
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%qmake_qt4
%make

%install
mkdir -p %buildroot%{_includedir}
mkdir -p %buildroot%_libdir

for n in include/*.h ; do
    install -m 644 $n %buildroot%{_includedir}
done

# install, preserving links
chmod 644 lib/libqwtplot3d.so*
for n in lib/libqwtplot3d.so* ; do
    cp -d $n %buildroot%_libdir
done

%files -n %libname
%{_libdir}/libqwtplot3d.so.%{major}*

%files -n %libnamedev
%{_includedir}/*
%{_libdir}/*.so


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.2.7-8.mga3
+ Revision: 358054
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 fwang <fwang> 0.2.7-7.mga3
+ Revision: 305918
- fix libname
- link with glu
- build with latest glu
- cleanup spec

* Mon May 02 2011 mikala <mikala> 0.2.7-7.mga1
+ Revision: 94210
- Remove BuildRoot tag
- Use %%buildroot instead of $RPM_BUILD_ROOT
- Remove mdk macros
- imported package libqwtplot3d

